from numpy import pi, cos, sin, sqrt, mgrid
from mayavi import mlab

a = -3./256*sqrt(1001/pi)

dp = pi/250.0
[theta,phi] = mgrid[0:pi+dp:dp,0:2*pi+dp:dp]

r = 1 + 0.1 * a * cos(5*phi) * sin(theta)**5 \
    *(323*cos(theta)**5 - 170*cos(theta)**3 + 15*cos(theta))

x = r*sin(theta)*cos(phi)
y = r*sin(theta)*sin(phi)
z = r*cos(theta)

fig = mlab.figure(bgcolor=(1.,1.,1.),size=(1200,1200))
s = mlab.mesh(x, y, z,scalars=r,figure=fig)
#mlab.savefig('Y10.5_mayavi.png')
mlab.show()
