#!/usr/bin/env python
"""
Program: dat2wav

Description
  Read in time series data (2-col) and normalize.
  Write sound (.wav) file
  
  Based on http://codingmess.blogspot.com/2010/02/
                    how-to-make-wav-file-with-python.html
"""
import numpy as np
import wave
import sys

class SoundFile:
    def  __init__(self, signal):
        self.file = wave.open(outfile, 'wb')
        self.signal = signal
        self.sr = samplerate

    def write(self):
        self.file.setparams((1, 2, self.sr, samplerate*4, 'NONE',\
                             'noncompressed'))
        self.file.writeframes(self.signal)
        self.file.close()

def np2str(y):
    """Convert NumPy vector to string (h => data formatted as ints)"""
    signal = ''.join(wave.struct.pack('h', item) for item in y)
    return signal

# User can set sample rate on command line (optional)
samplerate = 44100
if (len(sys.argv) > 3):
    samplerate = int(sys.argv[3])

if (len(sys.argv) > 2):
    infile = sys.argv[1]
    outfile = sys.argv[2]
    x, y = np.loadtxt(infile,usecols=(0,1),unpack=True)

# Normalize and output
    ynorm = 16384 / max(abs(y))
    ydata = y * ynorm

    ssignal = np2str(ydata)
    f = SoundFile(ssignal)
    f.write()

else:
    print "syntax: dat2wav <infile> <outfile> [samplerate]"
