#!/usr/bin/env python
"""
DFT Comparison (Python vs. Fortran)
Generate 2-sine curve, then call Python and Fortran DFT function.
"""
from numpy import *
import matplotlib.pyplot as plt
import time
import dftsub
import dft_py

npts = 10000
twopi = 2.* pi

A1  = 2.  ;  P1 = 10.
A2  = 1.  ;  P2 =  3.

t = linspace(0.,300.,npts)
y = A1*sin((twopi/P1)*t) + A2*sin((twopi/P2)*t)

nfreq = 1000
freq = linspace(0.,1.,nfreq)
amp_f  = zeros(nfreq,dtype='float')

t0p = time.time()
amp_py = dft_py.dft(t,y,freq)
t1p = time.time()

t0f = time.time()
dftsub.dft(t,y,freq,amp_f,npts,nfreq)
t1f = time.time()

dtp = t1p - t0p
dtf = t1f - t0f

print "Time in Fortran subroutine", dtf
print "Time in Python subroutine ", dtp
