      subroutine dft(t,y,freq,amp,numt,nfreq)
 
c input:  t(numt), y(numt) - times and values
c         freq(nfreq)      - frequency values
c output: amp(nfreq)       - normalized amplitudes
 
      implicit double precision(a-h,o-z)
      dimension t(numt), y(numt), freq(nfreq), amp(nfreq)    
 
      twopi = 2 * 3.141592653589793

      do ifreq = 1,nfreq
         f = freq(ifreq)
         fr = 0. 
         fi = 0. 
         do i = 1,numt 
            a = twopi * f * t(i)
            c = cos(a)
            s = sin(a)
            fr = fr + y(i) * c
            fi = fi + y(i) * s
         end do
         fr = fr/numt 
         fi = fi/numt 
         ff = fr*fr + fi*fi
         amp(ifreq) = 2.*sqrt(ff)   
      end do

      return
      end 
