import matplotlib.pyplot as plt
from matplotlib import cm
import numpy as np

fig = plt.figure()
ax = fig.add_subplot(111)

x = np.linspace(0, 1 * np.pi, 200)
y = np.linspace(0, 2 * np.pi, 200)
x, y = np.meshgrid(x,y)

z = -np.sin(x)*np.sin(y)

ax = plt.imshow(z,cmap=cm.jet,origin='lower')
cbar = fig.colorbar(ax)
cbar.ax.get_yaxis().labelpad=15
cbar.ax.set_ylabel('Z Value',rotation=270)

plt.xlabel('X Label')
plt.ylabel('Y Label')

plt.show()

